View Issue Details

IDProjectCategoryView StatusLast Update
0000045Far Manager 1.7xSymLink/HardLinkpublic2007-07-16 16:08
ReporterDiRTy_GaRRyAssigned Tovskirdin 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.70 
Summary0000045: Необходимо привсти копирование ссылок на папки с NTFS на FAT к более логичному виду
DescriptionПри попытке копирования связей на диск с FAT32 без включенной опции "Копировать содержимое символических связей" выдаётся "Ошибка создания связи". Более логично было бы игнорировать (выдавать предупреждение (?)) копирование связей на не NTFS диски, то есть молча (предупредив (?)) копировать их содержимое.
Additional InformationFAR Build 2051.
TagsNo tags attached.
Build

Activities

vskirdin

2005-10-26 16:02

administrator   bugnote:0000028

Last edited: 2005-10-26 16:34

Вернее вот так "правильно":
проверяй - http://farmanager.com/farbugs/mantis45.3.rar

DiRTy_GaRRy

2005-10-27 05:12

developer   bugnote:0000032

Не работает. Никаких изменений, кроме загрееных опций я не заметил, то есть ошибка создания связи, как выдавалась, так и выдаётся.

P.S. Так как ничего с FAT-м кроме флэшки у меня нет, то проверяю на ней.

DiRTy_GaRRy

2005-10-27 06:08

developer   bugnote:0000033

Так же обнаружился неприятный побочный эффект. Теперь при вызове диалога копирования из файловой панели на панель FarFTP FAR, прежде чем показать окошко, думает секунд так 10. Проверил на 2051 - всё показывается нормально.

P.S. FarFTP последняя версия, взятая с ftp разработчика.

vskirdin

2005-12-08 07:59

administrator   bugnote:0000056

проверяй - http://farmanager.com/farbugs/mantis44_45.1.rar
здесь и 44-й и этот, 45-й мантисы.

DiRTy_GaRRy

2005-12-08 09:22

developer   bugnote:0000058

Исправлено. Правда опции 'Наследование прав доступа' и 'Копировать содержимое символических связей' при этом всё равно доступны, хоть ни на что и не влияют.

DiRTy_GaRRy

2005-12-08 09:42

developer   bugnote:0000060

Было бы более логично выключать эти опции.

Issue History

Date Modified Username Field Change
2005-10-26 06:26 DiRTy_GaRRy New Issue
2005-10-26 15:37 vskirdin Status new => assigned
2005-10-26 15:37 vskirdin Assigned To => vskirdin
2005-10-26 16:02 vskirdin Note Added: 0000028
2005-10-26 16:34 vskirdin Note Edited: 0000028
2005-10-27 05:12 DiRTy_GaRRy Note Added: 0000032
2005-10-27 06:08 DiRTy_GaRRy Note Added: 0000033
2005-12-08 07:59 vskirdin Note Added: 0000056
2005-12-08 09:22 DiRTy_GaRRy Status assigned => resolved
2005-12-08 09:22 DiRTy_GaRRy Resolution open => fixed
2005-12-08 09:22 DiRTy_GaRRy Note Added: 0000058
2005-12-08 09:42 DiRTy_GaRRy Status resolved => feedback
2005-12-08 09:42 DiRTy_GaRRy Resolution fixed => reopened
2005-12-08 09:42 DiRTy_GaRRy Note Added: 0000060
2005-12-08 09:45 DiRTy_GaRRy Status feedback => resolved
2005-12-08 09:45 DiRTy_GaRRy Resolution reopened => fixed
2006-02-27 22:01 alexy Fixed in Version => alpha 6
2007-07-16 16:08 alexy Status resolved => closed